[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TBookmarkFlag

Bookmark flags

## Declaration

Source position: db.pas line 1258

`type TBookmarkFlag = (`
`bfCurrent,` |  | Buffer used for the current record
`bfBOF,` |  | First record in the dataset.
`bfEOF,` |  | Last record in the dataset
`bfInserted` |  | Buffer used for insert
`);`

## Description

TBookmarkFlag is used internally by TDataset and it's descendent types to mark the internal memory buffers. It should not be used in end-user applications.

## See also

PBookmarkFlag |  | Pointer to TBookmarkflag type

Documentation generated on: Feb 26 2014